Index: branches/2016/dev_r6519_HPC_4/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- branches/2016/dev_r6519_HPC_4/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 7508)
+++ branches/2016/dev_r6519_HPC_4/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 7525)
@@ -108,42 +108,42 @@
          IF( l_trddyn ) THEN                                ! trend diagnostics: split the trend in two
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL vor_ene( kt, nrvm, ua, va )                      ! relative vorticity or metric trend
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL trd_dyn( ztrdu, ztrdv, jpdyn_rvo, kt )
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL vor_ene( kt, ncor, ua, va )                      ! planetary vorticity trend
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL trd_dyn( ztrdu, ztrdv, jpdyn_pvo, kt )
          ELSE
@@ -154,42 +154,42 @@
          IF( l_trddyn ) THEN                                ! trend diagnostics: splitthe trend in two    
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL vor_ens( kt, nrvm, ua, va )                      ! relative vorticity or metric trend
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL trd_dyn( ztrdu, ztrdv, jpdyn_rvo, kt )
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL vor_ens( kt, ncor, ua, va )                      ! planetary vorticity trend
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL trd_dyn( ztrdu, ztrdv, jpdyn_pvo, kt )
          ELSE
@@ -200,42 +200,42 @@
          IF( l_trddyn ) THEN                                ! trend diagnostics: split the trend in two
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL vor_ens( kt, nrvm, ua, va )                      ! relative vorticity or metric trend (ens)
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL trd_dyn( ztrdu, ztrdv, jpdyn_rvo, kt )
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL vor_ene( kt, ncor, ua, va )                      ! planetary vorticity trend (ene)
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL trd_dyn( ztrdu, ztrdv, jpdyn_pvo, kt )
          ELSE
@@ -247,42 +247,42 @@
          IF( l_trddyn ) THEN                                ! trend diagnostics: split the trend in two
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL vor_een( kt, nrvm, ua, va )                      ! relative vorticity or metric trend
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL trd_dyn( ztrdu, ztrdv, jpdyn_rvo, kt )
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL vor_een( kt, ncor, ua, va )                      ! planetary vorticity trend
 !$OMP PARALLEL DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
-                  ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
-               END DO
-            END DO
-         END DO
+            DO jk = 1, jpk
+               DO jj = 1, jpj
+                  DO ji = 1, jpi
+                     ztrdu(ji,jj,jk) = ua(ji,jj,jk) - ztrdu(ji,jj,jk)
+                     ztrdv(ji,jj,jk) = va(ji,jj,jk) - ztrdv(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
             CALL trd_dyn( ztrdu, ztrdv, jpdyn_pvo, kt )
          ELSE
